Skip to main content

ListBusinessLogic

Lists the definitions of enterprise knowledge terms in the specified workspace.

Debug

You can run this API directly in OpenAPI Explorer without the trouble of calculating signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Debug

RAM authorization

The following table describes the authorization information of this API. You can use the Action element of RAM permission policy statements to grant RAM users or RAM roles the permission to call this API. Details:
  • Operation: the specific permission.
  • Access level: the access level of each operation. Valid values: Write, Read, and List.
  • Resource type: the resource types that the operation supports for authorization. Details:
    • Required resource types are marked with a preceding asterisk (*).
    • For operations that do not support resource-level authorization, All Resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Dependent action: other permissions required to successfully perform the operation. The caller must have the permissions of all dependent actions for the operation to succeed.
OperationAccess levelResource typeCondition keyDependent action
dataanalysisgbi:ListBusinessLogicnone
*All Resources
*
    None
None

Request syntax

POST /gbi/list/logic HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample
workspaceIdstringYes

The ID of the Alibaba Cloud Model Studio workspace used for the current request.

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters.

nextTokenstringNo

Pagination token.

  • Do not specify this parameter on the first call.

  • On subsequent calls, pass the nextToken returned by the previous call.

e8Z0nRyY51ZQmYljqGNK
maxResultsintegerNo

The maximum number of entries per page.

10

Response parameters

NameTypeDescriptionExample
object

Result

dataany

The data list.

{ "data": { "data": [ { "gmtModified": 1732018200000, "workSpaceId": "10024809", "description": "1", "businessLogicIdKey": "businessLogic-AAAAAAAAAGAIyJoP7LbKuA", "gmtCreate": 1732018200000, "type": 0, "status": 1 }, { "gmtModified": 1721791780000, "workSpaceId": "10024809", "description": "The format of time-related columns is YYYYMMDD", "businessLogicIdKey": "businessLogic-AAAAAAAAAEXeM8VSLGi77w", "gmtCreate": 1721791780000, "type": 0, "status": 1 }, { "gmtModified": 1732013491000, "workSpaceId": "10024809", "description": "When querying data, if a column has a Chinese description or Chinese name, display the queried results as 'Chinese column name'", "businessLogicIdKey": "businessLogic-AAAAAAAAAE9NdahlKmg-OQ", "gmtCreate": 1727420945000, "type": 0, "status": 1 } ], "nextToken": "+uGRPVXVZ9upasz0PegzUA==", "totalCount": 0 } }
errorMsgstring

The error message.

NoAuth
codestring

The error code.

NoAuth
successboolean

true if the API call succeeds, false if the API call fails.

true
requestIdstring

The ID of the request. Each request has a unique ID, which is useful for troubleshooting.

FB11F719-9AC8-5C99-AB0A-4709D437FCFC

Examples

Success response JSON format
{
  "data": {
    "data": {
      "data": [
        {
          "gmtModified": 1732018200000,
          "workSpaceId": 10024809,
          "description": 1,
          "businessLogicIdKey": "businessLogic-AAAAAAAAAGAIyJoP7LbKuA",
          "gmtCreate": 1732018200000,
          "type": 0,
          "status": 1
        },
        {
          "gmtModified": 1721791780000,
          "workSpaceId": 10024809,
          "description": "时间相关列的格式是 YYYYMMDD",
          "businessLogicIdKey": "businessLogic-AAAAAAAAAEXeM8VSLGi77w",
          "gmtCreate": 1721791780000,
          "type": 0,
          "status": 1
        },
        {
          "gmtModified": 1732013491000,
          "workSpaceId": 10024809,
          "description": "查询数据的时候,如果发现列有中文的描述或者中文的名字,请将查询到的结果展示成as 列中文名的形式",
          "businessLogicIdKey": "businessLogic-AAAAAAAAAE9NdahlKmg-OQ",
          "gmtCreate": 1727420945000,
          "type": 0,
          "status": 1
        }
      ],
      "nextToken": "+uGRPVXVZ9upasz0PegzUA==",
      "totalCount": 0
    }
  },
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "FB11F719-9AC8-5C99-AB0A-4709D437FCFC"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified workspace.
401NoResourceAuthBad Request: Resource Auth Error.You do not have permission on the requested resource. Make sure that the requested resource belongs to the workspace specified in the current parameters.
See the Error Center for more error codes.